package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Gdp;
import com.lightinit.hsdatashow.entity.GdpExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.GdpOccupationRatioModel;
import org.apache.ibatis.annotations.Param;

public interface GdpMapper {
    long countByExample(GdpExample example);

    int deleteByExample(GdpExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Gdp record);

    int insertSelective(Gdp record);

    List<Gdp> selectByExample(GdpExample example);

    Gdp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Gdp record, @Param("example") GdpExample example);

    int updateByExample(@Param("record") Gdp record, @Param("example") GdpExample example);

    int updateByPrimaryKeySelective(Gdp record);

    int updateByPrimaryKey(Gdp record);

    List<Gdp> selectList(long year);

    List<Gdp> getGDPTotal(long year);
}